Skip to main content
GET
Get file details with a resolved URL.

Authorizations

x-api-key
string
header
required

API key for authentication (can be generated in the settings)

Path Parameters

id
string
required

Query Parameters

disposition
enum<string>
default:inline

Content disposition for the file URL. Notice: only "inline" will be cached. Use "attachment" for one-off downloads.

Available options:
inline,
attachment

Response

File details with URL

id
string
required

The ID of the file

originalName
string
required

The original name of the file

size
number
required

The size of the file

mimeType
string
required

The MIME type of the file

isPublic
boolean
required

Whether the file is public accessible

isDraft
boolean
required

Whether the file is a draft

uploadedAt
string<date-time>
required

The uploaded at date of the file

imageWidth
number | null
required

The width of the image

imageHeight
number | null
required

The height of the image

thumbnailWidth
number | null
required

The width of the thumbnail

thumbnailHeight
number | null
required

The height of the thumbnail

url
string
required

The (signed) URL of the file

urlExpiresAt
string<date-time> | null
required

The expiration date for the (signed) URL, null if the file is public accessible

thumbnailUrl
string | null
required

The (signed) URL for the thumbnail, null if the file is not an image

thumbnailUrlExpiresAt
string<date-time> | null
required

The expiration date for the (signed) URL for the thumbnail, null if the file is not an image or the file is public accessible